<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="LaravelPintOptionsConfiguration">
    <option name="ruleset" value="laravel" />
  </component>
  <component name="MessDetectorOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCSFixerOptionsConfiguration">
    <option name="codingStandard" value="Custom" />
    <option name="rulesetPath" value="$PROJECT_DIR$/src/.php-cs-fixer.dist.php" />
    <option name="transferred" value="true" />
  </component>
  <component name="PHPCodeSnifferOptionsConfiguration">
    <option name="highlightLevel" value="WARNING" />
    <option name="transferred" value="true" />
  </component>
  <component name="PhpCSFixer">
    <phpcsfixer_settings>
      <PhpCSFixerConfiguration standards="PSR1;PSR2;Symfony;DoctrineAnnotation;PHP70Migration;PHP71Migration" tool_path="$PROJECT_DIR$/src/vendor/bin/php-cs-fixer" />
    </phpcsfixer_settings>
  </component>
  <component name="PhpExternalFormatter">
    <option name="externalFormatter" value="PHP_CS_FIXER" />
  </component>
  <component name="PhpIncludePathManager">
    <include_path>
      <path value="$PROJECT_DIR$/src/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/src/vendor/rector/rector" />
      <path value="$PROJECT_DIR$/src/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/src/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/src/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/src/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/src/vendor/psr/log" />
      <path value="$PROJECT_DIR$/src/vendor/psr/container" />
      <path value="$PROJECT_DIR$/src/vendor/composer" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/code-unit" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/src/vendor/friendsofphp/php-cs-fixer" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/lines-of-code" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/cli-parser" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/complexity" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/src/vendor/fakerphp/faker" />
      <path value="$PROJECT_DIR$/src/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/src/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/src/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/string" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-php81" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/stopwatch" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-intl-grapheme" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/options-resolver" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/src/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/src/vendor/phpstan/phpstan" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/php-invoker" />
      <path value="$PROJECT_DIR$/src/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/src/vendor/doctrine/annotations" />
      <path value="$PROJECT_DIR$/src/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/src/vendor/psr/cache" />
      <path value="$PROJECT_DIR$/src/vendor/phpstan/phpdoc-parser" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php81" />
      <path value="$PROJECT_DIR$/vendor/symfony/stopwatch" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-normalizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-grapheme" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php80" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/options-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/symfony/filesystem" />
      <path value="$PROJECT_DIR$/vendor/phpstan/phpdoc-parser" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-invoker" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phpstan/phpstan" />
      <path value="$PROJECT_DIR$/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/rector/rector" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/friendsofphp/php-cs-fixer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/cli-parser" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/complexity" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/sebastian/lines-of-code" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/fakerphp/faker" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/symfony/deprecation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/string" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/toolbox/vendor/composer" />
      <path value="$PROJECT_DIR$/toolbox/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/toolbox/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/toolbox/vendor/rector/rector" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpstan/phpstan" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/php-invoker" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/toolbox/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/toolbox/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/complexity" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/cli-parser" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/code-unit" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/lines-of-code" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/toolbox/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpstan/phpstan-symfony" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpstan/phpstan-doctrine" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpstan/phpstan-phpunit" />
      <path value="$PROJECT_DIR$/toolbox/vendor/phpstan/phpdoc-parser" />
    </include_path>
  </component>
  <component name="PhpInterpreters">
    <interpreters>
      <interpreter id="b878f5d1-a467-4938-9c2d-7910a9734b80" name="localhost:5000/toolbox:latest" home="docker://DATA" auto="false" debugger_id="php.debugger.XDebug">
        <remote_data INTERPRETER_PATH="php" HELPERS_PATH="/opt/.phpstorm_helpers" VALID="true" RUN_AS_ROOT_VIA_SUDO="false" DOCKER_ACCOUNT_NAME="Docker" DOCKER_IMAGE_NAME="localhost:5000/toolbox:latest" DOCKER_REMOTE_PROJECT_PATH="/opt/project" />
      </interpreter>
    </interpreters>
  </component>
  <component name="PhpInterpretersPhpInfoCache">
    <phpInfoCache>
      <interpreter name="localhost:5000/toolbox:latest">
        <phpinfo binary_type="PHP" php_cgi="/usr/local/bin/php-cgi" php_cli="/usr/local/bin/php" path_separator=":" version="8.1.11">
          <additional_php_ini>/usr/local/etc/php/conf.d/docker-php-ext-sodium.ini</additional_php_ini>
          <configuration_file />
          <configuration_options>
            <configuration_option name="include_path" value=".:/usr/local/lib/php" />
          </configuration_options>
          <debuggers />
          <loaded_extensions>
            <extension name="Core" />
            <extension name="PDO" />
            <extension name="Phar" />
            <extension name="Reflection" />
            <extension name="SPL" />
            <extension name="SimpleXML" />
            <extension name="ctype" />
            <extension name="curl" />
            <extension name="date" />
            <extension name="dom" />
            <extension name="fileinfo" />
            <extension name="filter" />
            <extension name="ftp" />
            <extension name="hash" />
            <extension name="iconv" />
            <extension name="json" />
            <extension name="libxml" />
            <extension name="mbstring" />
            <extension name="mysqlnd" />
            <extension name="openssl" />
            <extension name="pcre" />
            <extension name="pdo_sqlite" />
            <extension name="posix" />
            <extension name="readline" />
            <extension name="session" />
            <extension name="sodium" />
            <extension name="sqlite3" />
            <extension name="standard" />
            <extension name="tokenizer" />
            <extension name="xml" />
            <extension name="xmlreader" />
            <extension name="xmlwriter" />
            <extension name="zlib" />
          </loaded_extensions>
        </phpinfo>
      </interpreter>
    </phpInfoCache>
  </component>
  <component name="PhpProjectSharedConfiguration" php_language_level="8.2" />
  <component name="PhpStanOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
  <component name="PhpUnit">
    <phpunit_settings>
      <PhpUnitSettings custom_loader_path="$PROJECT_DIR$/src/vendor/autoload.php" />
    </phpunit_settings>
  </component>
  <component name="PsalmOptionsConfiguration">
    <option name="transferred" value="true" />
  </component>
</project>